Bug 189980 - pwd displays '%2F' as a part of path
pwd displays '%2F' as a part of path
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lftp (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On: 189979
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 09:25 EDT by David Kovalsky
Modified: 2014-03-31 19:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 20:11:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2006-04-26 09:25:53 EDT
+++ This bug was initially created as a clone of Bug #189979 +++

Description of problem:
After logging in, change directory or ls and then do a 'pwd'. You will see '%2F'
as a part of the path.

Version-Release number of selected component (if applicable):
lftp-2.6.3-6


How reproducible:
always

Steps to Reproduce:
1. `lftp -u root localhost` (the same results for ordinary user)
Password: (type your password)
lftp root@localhost:~>

2. `pwd`
ftp://root@localhost

3. `cd`  (or `ls` or whatever)
cd ok, cwd=/root

4. `pwd`
ftp://root@localhost/%2Froot

  
Actual results:
ftp://root@localhost/%2Froot


Expected results:
ftp://root@localhost/root


Additional info:
FTP server was vsftpd version vsftpd-1.2.1-3E.1
Comment 1 Jason Vas Dias 2006-04-28 20:11:26 EDT
NOTABUG - see explanation in bug 189979 .

Note You need to log in before you can comment on or make changes to this bug.